Subject: Re: Cannot build 21.4.16 under cygwin (gcc 3.3.3)
From: [email-masked] (Henry S. Thompson)
To: [email-masked]
Cc: xemacs-beta <[email-masked]>
Date: Fri, 07 Jan 2005 18:46:07 +0000

Jason Tishler writes:

> On Thu, Jan 06, 2005 at 02:02:20PM +0000, Henry S. Thompson wrote:
>> Jason Tishler writes:
>> >     If you get any errors due to DLLs being in-use or read-only,
>> >     then take the appropriate action and rerun rebaseall.
>> >     Otherwise, you run the risk of fork() failing.
>> 
>> /sur/bin/cygncurses++6.dll: new base = 6f270000, new sizeReBaseImage (/usr/bin/cygpcre-0.dll) failed with last error = 6
>> =40000
>
> We have the following:
>
>     $ fgrep 6L /usr/include/w32api/winerror.h | head -1
>     #define ERROR_INVALID_HANDLE 6L
>
> A winerror 6 during rebasing usually means the file is open.
>
>> I reinstalled cygpcre, but it's not implicated in the xemacs pblm (I
>> don't think . . .)
>
> It's generally best to successfully rebase all of you DLLs.  I would try
> to resolve your cygpcre-0.dll issue.

I have done so, no improvement. . . 

>> > BTW, you may want to run rebaseall with the -v (i.e., verbose) flag
>> > to verify you haven't run out of address space.  For example, if
>> > some of your DLL are rebased to near 0x61000000 or below, then you
>> > are likely to have problems.
>> 
>> I think that was all OK.
>
> The problem with "-v" is that error messages will scroll off the screen.
> I recommend catching the output and grep-ing through it to make sure all
> is really OK.

Understood, I did that.

>> Net result: xemacs-21.4.16 compiled with gcc-3.3.3 still crashes with
>> "couldn't reserve . . ."
>
> Maybe your problem is not related to rebasing?

Well, except that if I carefully rebase cygwin1.dll itself, then I
_can_ build xemacs. . .

But of course then I'm stuck with other code that won't run because of
the two-different-bases problem.

Anyway, thanks _very_ much for your help, it sounds like the xemacs
folks are really where this needs to be solved.  Point is, this is a
regression -- xemacs-21.4.15 works OK (mind you, I haven't tried
recompiling it with gcc-3.3.3).

ht
-- 
 Henry S. Thompson, HCRC Language Technology Group, University of Edinburgh
                     Half-time member of W3C Team
    2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND -- (44) 131 650-4440
            Fax: (44) 131 650-4587, e-mail: [email-masked]
                   URL: http://www.ltg.ed.ac.uk/~ht/
[mail really from me _always_ has this .sig -- mail without it is forged spam]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/